//企业地址前显示地区代码
var province
var capital
function showaddress(pro,cap) {
switch(pro)
  {
case "Anhui": province="安徽"; break;
case "Beijing": province="北京"; break;
case "Fujian": province="福建"; break;
case "Gansu": province="甘肃"; break;
case "Guangdong": province="广东"; break;
case "Guangxi": province="广西"; break;
case "Guizhou": province="贵州"; break;
case "Hainan": province="海南"; break;
case "Hebei": province="河北"; break;
case "Henan": province="河南"; break;
case "Heilongjiang": province="黑龙江"; break;
case "Hubei": province="湖北"; break;
case "Hunan": province="湖南"; break;
case "Jilin": province="吉林"; break;
case "Jiangsu": province="江苏"; break;
case "Jiangxi": province="江西"; break;
case "Liaoning": province="辽宁"; break;
case "InnerMongolia": province="内蒙古"; break;
case "Ningxia": province="宁夏"; break;
case "Qinghai": province="青海"; break;
case "Shandong": province="山东"; break;
case "Shanxi": province="山西"; break;
case "Shaanxi": province="陕西"; break;
case "Shanghai": province="上海"; break;
case "Sichuan": province="四川"; break;
case "Tianjin": province="天津"; break;
case "Tibet": province="西藏"; break;
case "Xinjiang": province="新疆"; break;
case "Yunnan": province="云南"; break;
case "Zhejiang": province="浙江"; break;
case "Chongqing": province="重庆"; break;

}
switch(cap)
  {
case "Anhui_Anqing": capital="安庆"; break;
case "Anhui_Bengbu": capital="蚌埠"; break;
case "Anhui_Chaohu": capital="巢湖"; break;
case "Anhui_Chizhou": capital="池州"; break;
case "Anhui_Chuzhou": capital="滁州"; break;
case "Anhui_Fuyang": capital="阜阳"; break;
case "Anhui_Maanshan": capital="马鞍山"; break;
case "Anhui_Liuan": capital="六安"; break;
case "Anhui_Huangshan": capital="黄山"; break;
case "Anhui_Huainan": capital="淮南"; break;
case "Anhui_Huaibei": capital="淮北"; break;
case "Anhui_Hefei": capital="合肥"; break;
case "Anhui_Suzhou": capital="宿州"; break;
case "Anhui_Bozhou": capital="亳州"; break;
case "Anhui_Xuancheng": capital="宣城"; break;
case "Anhui_Wuhu": capital="芜湖"; break;
case "Anhui_Tongling": capital="铜陵"; break;
case "Beijing_Beijing": capital="北京"; break;
case "Fujian_Fuzhou": capital="福州"; break;
case "Fujian_Longyan": capital="龙岩"; break;
case "Fujian_Nanping": capital="南平"; break;
case "Fujian_Ningde": capital="宁德"; break;
case "Fujian_Putian": capital="莆田"; break;
case "Fujian_Quanzhou": capital="泉州"; break;
case "Fujian_Sanming": capital="三明"; break;
case "Fujian_Xiamen": capital="厦门"; break;
case "Fujian_Zhangzhou": capital="漳州"; break;
case "Gansu_Baiyin": capital="白银"; break;
case "Gansu_Dingxi": capital="定西"; break;
case "Gansu_Gannan": capital="甘南藏族自治州"; break;
case "Gansu_Jinchang": capital="金昌"; break;
case "Gansu_Lanzhou": capital="兰州"; break;
case "Gansu_Linxia": capital="临夏回族自治州"; break;
case "Gansu_Longnan": capital="陇南"; break;
case "Gansu_Pingliang": capital="平凉"; break;
case "Gansu_Qingyang": capital="庆阳"; break;
case "Gansu_Tianshui": capital="天水"; break;
case "Gansu_Wuwei": capital="武威"; break;
case "Guangdong_Chaozhou": capital="潮州"; break;
case "Guangdong_Dongguan": capital="东莞"; break;
case "Guangdong_Foshan": capital="佛山"; break;
case "Guangdong_Guangzhou": capital="广州"; break;
case "Guangdong_Heyuan": capital="河源"; break;
case "Guangdong_Huizhou": capital="惠州"; break;
case "Guangdong_Jiangmen": capital="江门"; break;
case "Guangdong_Jieyang": capital="揭阳"; break;
case "Guangdong_Maoming": capital="茂名"; break;
case "Guangdong_Meizhou": capital="梅州"; break;
case "Guangdong_Qingyuan": capital="清远"; break;
case "Guangdong_Shantou": capital="汕头"; break;
case "Guangdong_Shanwei": capital="汕尾"; break;
case "Guangdong_Shaoguan": capital="韶关"; break;
case "Guangdong_Shenzhen": capital="深圳"; break;
case "Guangdong_Yangjiang": capital="阳江"; break;
case "Guangdong_Yunfu": capital="云浮"; break;
case "Guangdong_Zhanjiang": capital="湛江"; break;
case "Guangdong_Zhaoqing": capital="肇庆"; break;
case "Guangdong_Zhongshan": capital="中山"; break;
case "Guangdong_Zhuhai": capital="珠海"; break;
case "Guangxi_Baise": capital="百色"; break;
case "Guangxi_Beihai": capital="北海"; break;
case "Guangxi_Fangchenggang": capital="防城港"; break;
case "Guangxi_Guilin": capital="桂林"; break;
case "Guangxi_Guigang": capital="贵港"; break;
case "Guangxi_Hechi": capital="河池"; break;
case "Guangxi_Hezhou": capital="贺州"; break;
case "Guangxi_Laibin": capital="来宾"; break;
case "Guangxi_Liuzhou": capital="柳州"; break;
case "Guangxi_Nanning": capital="南宁"; break;
case "Guangxi_Qinzhou": capital="钦州"; break;
case "Guangxi_Wuzhou": capital="梧州"; break;
case "Guangxi_Yulin": capital="玉林"; break;
case "Guizhou_Anshun": capital="安顺"; break;
case "Guizhou_Bijie": capital="毕节"; break;
case "Guizhou_Guiyang": capital="贵阳"; break;
case "Guizhou_Liupanshui": capital="六盘水"; break;
case "Guizhou_Qiandongnan": capital="黔东南苗族侗族自治州"; break;
case "Guizhou_Qiannan": capital="黔南布依族苗族自治州"; break;
case "Guizhou_Qianxinan": capital="黔西南布依族苗族自治州"; break;
case "Guizhou_Tongren": capital="铜仁"; break;
case "Guizhou_Zunyi": capital="遵义"; break;
case "Hainan_Baisha": capital="白沙黎族自治县"; break;
case "Hainan_Baoting": capital="保亭黎族苗族自治县"; break;
case "Hainan_Changjiang": capital="昌江黎族自治县"; break;
case "Hainan_Chengmai": capital="澄迈县"; break;
case "Hainan_Dingan": capital="定安县"; break;
case "Hainan_Dongfang": capital="东方"; break;
case "Hainan_Haikou": capital="海口"; break;
case "Hainan_Ledong": capital="乐东黎族自治县"; break;
case "Hainan_Lingao": capital="临高县"; break;
case "Hainan_Lingshui": capital="陵水黎族自治县"; break;
case "Hainan_Qionghai": capital="琼海"; break;
case "Hainan_Qiongzhong": capital="琼中黎族苗族自治县"; break;
case "Hainan_Sanya": capital="三亚"; break;
case "Hainan_Tunchang": capital="屯昌县"; break;
case "Hainan_Wanning": capital="万宁"; break;
case "Hainan_Wenchang": capital="文昌"; break;
case "Hainan_Wuzhishan": capital="五指山"; break;
case "Hainan_Danzhou": capital="儋州"; break;
case "Hebei_Baoding": capital="保定"; break;
case "Hebei_Cangzhou": capital="沧州"; break;
case "Hebei_Chengde": capital="承德"; break;
case "Hebei_Handan": capital="邯郸"; break;
case "Hebei_Hengshui": capital="衡水"; break;
case "Hebei_Langfang": capital="廊坊"; break;
case "Hebei_Qinhuangdao": capital="秦皇岛"; break;
case "Hebei_Shijiazhuang": capital="石家庄"; break;
case "Hebei_Tangshan": capital="唐山"; break;
case "Hebei_Xingtai": capital="邢台"; break;
case "Hebei_Zhangjiakou": capital="张家口"; break;
case "Henan_Anyang": capital="安阳"; break;
case "Henan_Hebi": capital="鹤壁"; break;
case "Henan_Jiyuan": capital="济源"; break;
case "Henan_Jiaozuo": capital="焦作"; break;
case "Henan_Kaifeng": capital="开封"; break;
case "Henan_Luoyang": capital="洛阳"; break;
case "Henan_Nanyang": capital="南阳"; break;
case "Henan_Pingdingshan": capital="平顶山"; break;
case "Henan_Sanmenxia": capital="三门峡"; break;
case "Henan_Shangqiu": capital="商丘"; break;
case "Henan_Xinxiang": capital="新乡"; break;
case "Henan_Xinyang": capital="信阳"; break;
case "Henan_Xuchang": capital="许昌"; break;
case "Henan_Zhengzhou": capital="郑州"; break;
case "Henan_Zhoukou": capital="周口"; break;
case "Henan_Zhumadian": capital="驻马店"; break;
case "Henan_Luohe": capital="漯河"; break;
case "Henan_Puyang": capital="濮阳"; break;
case "Heilongjiang_Daqing": capital="大庆"; break;
case "Heilongjiang_Daxinganling": capital="大兴安岭"; break;
case "Heilongjiang_Harbin": capital="哈尔滨"; break;
case "Heilongjiang_Hegang": capital="鹤岗"; break;
case "Heilongjiang_Heihe": capital="黑河"; break;
case "Heilongjiang_Jixi": capital="鸡西"; break;
case "Heilongjiang_Jiamusi": capital="佳木斯"; break;
case "Heilongjiang_Mudanjiang": capital="牡丹江"; break;
case "Heilongjiang_Qitaihe": capital="七台河"; break;
case "Heilongjiang_Qiqihar": capital="齐齐哈尔"; break;
case "Heilongjiang_Shuangyashan": capital="双鸭山"; break;
case "Heilongjiang_Suihua": capital="绥化"; break;
case "Heilongjiang_Yichun": capital="伊春"; break;
case "Hubei_Ezhou": capital="鄂州"; break;
case "Hubei_Enshi": capital="恩施土家族苗族自治州"; break;
case "Hubei_Huanggang": capital="黄冈"; break;
case "Hubei_Huangshi": capital="黄石"; break;
case "Hubei_Jingmen": capital="荆门"; break;
case "Hubei_Jingzhou": capital="荆州"; break;
case "Hubei_Qianjiang": capital="潜江"; break;
case "Hubei_Shennongjia": capital="神农架林区"; break;
case "Hubei_Shiyan": capital="十堰"; break;
case "Hubei_Suizhou": capital="随州"; break;
case "Hubei_Tianmen": capital="天门"; break;
case "Hubei_Wuhan": capital="武汉"; break;
case "Hubei_Xiantao": capital="仙桃"; break;
case "Hubei_Xianning": capital="咸宁"; break;
case "Hubei_Xiangfan": capital="襄樊"; break;
case "Hubei_Xiaogan": capital="孝感"; break;
case "Hubei_Yichang": capital="宜昌"; break;
case "Hunan_Changde": capital="常德"; break;
case "Hunan_Changsha": capital="长沙"; break;
case "Hunan_Chenzhou": capital="郴州"; break;
case "Hunan_Hengyang": capital="衡阳"; break;
case "Hunan_Huaihua": capital="怀化"; break;
case "Hunan_Loudi": capital="娄底"; break;
case "Hunan_Shaoyang": capital="邵阳"; break;
case "Hunan_Xiangtan": capital="湘潭"; break;
case "Hunan_Xiangxi": capital="湘西土家族苗族自治州"; break;
case "Hunan_Yiyang": capital="益阳"; break;
case "Hunan_Yongzhou": capital="永州"; break;
case "Hunan_Yueyang": capital="岳阳"; break;
case "Hunan_Zhangjiajie": capital="张家界"; break;
case "Hunan_Zhuzhou": capital="株洲"; break;
case "Jilin_Baicheng": capital="白城"; break;
case "Jilin_Baishan": capital="白山"; break;
case "Jilin_Changchun": capital="长春"; break;
case "Jilin_Jilin": capital="吉林"; break;
case "Jilin_Liaoyuan": capital="辽源"; break;
case "Jilin_Siping": capital="四平"; break;
case "Jilin_Songyuan": capital="松原"; break;
case "Jilin_Tonghua": capital="通化"; break;
case "Jilin_Yanbian": capital="延边朝鲜族自治州"; break;
case "Jiangsu_Changzhou": capital="常州"; break;
case "Jiangsu_Huaian": capital="淮安"; break;
case "Jiangsu_Lianyungang": capital="连云港"; break;
case "Jiangsu_Nanjing": capital="南京"; break;
case "Jiangsu_Nantong": capital="南通"; break;
case "Jiangsu_Suzhou": capital="苏州"; break;
case "Jiangsu_Suqian": capital="宿迁"; break;
case "Jiangsu_Taizhou": capital="泰州"; break;
case "Jiangsu_Wuxi": capital="无锡"; break;
case "Jiangsu_Xuzhou": capital="徐州"; break;
case "Jiangsu_Yancheng": capital="盐城"; break;
case "Jiangsu_Zhenjiang": capital="镇江"; break;
case "Jiangxi_Fuzhou": capital="抚州"; break;
case "Jiangxi_Ganzhou": capital="赣州"; break;
case "Jiangxi_Jian": capital="吉安"; break;
case "Jiangxi_Jingdezhen": capital="景德镇"; break;
case "Jiangxi_Jiujiang": capital="九江"; break;
case "Jiangxi_Nanchang": capital="南昌"; break;
case "Jiangxi_Pingxiang": capital="萍乡"; break;
case "Jiangxi_Yichun": capital="上饶"; break;
case "Jiangxi_Yichun": capital="宜春"; break;
case "Jiangxi_Yingtan": capital="鹰潭"; break;
case "Liaoning_Anshan": capital="鞍山"; break;
case "Liaoning_Benxi": capital="本溪"; break;
case "Liaoning_Chaoyang": capital="朝阳"; break;
case "Liaoning_Dalian": capital="大连"; break;
case "Liaoning_Dandong": capital="丹东"; break;
case "Liaoning_Fushun": capital="抚顺"; break;
case "Liaoning_Fuxin": capital="阜新"; break;
case "Liaoning_Huludao": capital="葫芦岛"; break;
case "Liaoning_Jinzhou": capital="锦州"; break;
case "Liaoning_Liaoyang": capital="辽阳"; break;
case "Liaoning_Panjin": capital="盘锦"; break;
case "Liaoning_Shenyang": capital="沈阳"; break;
case "Liaoning_Tieling": capital="铁岭"; break;
case "Liaoning_Yingkou": capital="营口"; break;
case "InnerMongolia_Alxa": capital="阿拉善盟"; break;
case "InnerMongolia_Baynnur": capital="巴彦淖尔盟"; break;
case "InnerMongolia_Baotou": capital="包头"; break;
case "InnerMongolia_Chifeng": capital="赤峰"; break;
case "InnerMongolia_Erdos": capital="鄂尔多斯"; break;
case "InnerMongolia_Hohhot": capital="呼和浩特"; break;
case "InnerMongolia_HulunBuir": capital="呼伦贝尔"; break;
case "InnerMongolia_Tongliao": capital="通辽"; break;
case "InnerMongolia_Wuhai": capital="乌海"; break;
case "InnerMongolia_UlaanChab": capital="乌兰察布盟"; break;
case "InnerMongolia_Xilingol": capital="锡林郭勒盟"; brea
case "InnerMongolia_Xingan": capital="兴安盟"; break;
case "Ningxia_Guyuan": capital="固原"; break;
case "Ningxia_Shizuishan": capital="石嘴山"; break;
case "Ningxia_Wuzhong": capital="吴忠"; break;
case "Ningxia_Yinchuan": capital="银川"; break;
case "Qinghai_Golog": capital="果洛藏族自治州"; break;
case "Qinghai_Haibei": capital="海北藏族自治州"; break;
case "Qinghai_Haidong": capital="海东"; break;
case "Qinghai_Hainan": capital="海南藏族自治州"; break;
case "Qinghai_Haixi": capital="海西蒙古族藏族自治州"; break;
case "Qinghai_Huangnan": capital="黄南藏族自治州"; break;
case "Qinghai_Xining": capital="西宁"; break;
case "Qinghai_Yushu": capital="玉树藏族自治州"; break;
case "Shandong_Binzhou": capital="滨州"; break;
case "Shandong_Dezhou": capital="德州"; break;
case "Shandong_Dongying": capital="东营"; break;
case "Shandong_Heze": capital="菏泽"; break;
case "Shandong_Jinan": capital="济南"; break;
case "Shandong_Jining": capital="济宁"; break;
case "Shandong_Laiwu": capital="莱芜"; break;
case "Shandong_Liaocheng": capital="聊城"; break;
case "Shandong_Linyi": capital="临沂"; break;
case "Shandong_Qingdao": capital="青岛"; break;
case "Shandong_Rizhao": capital="日照"; break;
case "Shandong_Taian": capital="泰安"; break;
case "Shandong_Weihai": capital="威海"; break;
case "Shandong_Weifang": capital="潍坊"; break;
case "Shandong_Yantai": capital="烟台"; break;
case "Shandong_Zaozhuang": capital="枣庄"; break;
case "Shandong_Zibo": capital="淄博"; break;
case "Shanxi_Changzhi": capital="长治"; break;
case "Shanxi_Datong": capital="大同"; break;
case "Shanxi_Jincheng": capital="晋城"; break;
case "Shanxi_Jinzhong": capital="晋中"; break;
case "Shanxi_Linfen": capital="临汾"; break;
case "Shanxi_Lvliang": capital="吕梁"; break;
case "Shanxi_Shuozhou": capital="朔州"; break;
case "Shanxi_Taiyuan": capital="太原"; break;
case "Shanxi_Xinzhou": capital="忻州"; break;
case "Shanxi_Yangquan": capital="阳泉"; break;
case "Shanxi_Yuncheng": capital="运城"; break;
case "Shaanxi_Ankang": capital="安康"; break;
case "Shaanxi_Baoji": capital="宝鸡"; break;
case "Shaanxi_Hanzhong": capital="汉中"; break;
case "Shaanxi_Shangluo": capital="商洛"; break;
case "Shaanxi_Tongchuan": capital="铜川"; break;
case "Shaanxi_Weinan": capital="渭南"; break;
case "Shaanxi_Xian": capital="西安"; break;
case "Shaanxi_Xianyang": capital="咸阳"; break;
case "Shaanxi_Yanan": capital="延安"; break;
case "Shaanxi_Yulin": capital="榆林"; break;
case "Shanghai_Shanghai": capital="上海"; break;
case "Sichuan_Aba": capital="阿坝藏族羌族自治州"; break;
case "Sichuan_Bazhong": capital="巴中"; break;
case "Sichuan_Chengdu": capital="成都"; break;
case "Sichuan_Dazhou": capital="达州"; break;
case "Sichuan_Deyang": capital="德阳"; break;
case "Sichuan_Ganzi": capital="甘孜藏族自治州"; break;
case "Sichuan_Guangyuan": capital="广元"; break;
case "Sichuan_Leshan": capital="乐山"; break;
case "Sichuan_Liangshan": capital="凉山彝族自治州"; break;
case "Sichuan_Meishan": capital="眉山"; break;
case "Sichuan_Mianyang": capital="绵阳"; break;
case "Sichuan_Nanchong": capital="南充"; break;
case "Sichuan_Neijiang": capital="内江"; break;
case "Sichuan_Panzhihua": capital="攀枝花"; break;
case "Sichuan_Suining": capital="遂宁"; break;
case "Sichuan_Yaan": capital="雅安"; break;
case "Sichuan_Yibin": capital="宜宾"; break;
case "Sichuan_Ziyang": capital="资阳"; break;
case "Sichuan_Zigong": capital="自贡"; break;
case "Sichuan_Luzhou": capital="泸州"; break;
case "Tianjin_Tianjin": capital="天津"; break;
case "Tibet_Ngari": capital="阿里"; break;
case "Tibet_Chamdo": capital="昌都"; break;
case "Tibet_Lhasa": capital="拉萨"; break;
case "Tibet_Nyingchi": capital="林芝"; break;
case "Tibet_Nagqu": capital="那曲"; break;
case "Tibet_Xigaze": capital="日喀则"; break;
case "Tibet_Shannan": capital="山南"; break;
case "Xinjiang_Aksu": capital="阿克苏"; break;
case "Xinjiang_Alar": capital="阿拉尔"; break;
case "Xinjiang_Bayingolin": capital="巴音郭楞蒙古自治州"; break;
case "Xinjiang_Bortala": capital="博尔塔拉蒙古自治州"; break;
case "Xinjiang_Changji": capital="昌吉回族自治州"; break;
case "Xinjiang_Hami": capital="哈密"; break;
case "Xinjiang_Hetian": capital="和田"; break;
case "Xinjiang_Kashgar": capital="喀什"; break;
case "Xinjiang_Karamay": capital="克拉玛依"; break;
case "Xinjiang_KizilsuKirgiz": capital="克孜勒苏柯尔克孜自治州"; break;
case "Xinjiang_Shihezi": capital="石河子"; break;
case "Xinjiang_Tumushuke": capital="图木舒克"; break;
case "Xinjiang_Turpan": capital="吐鲁番"; break;
case "Xinjiang_Urumqi": capital="乌鲁木齐"; break;
case "Xinjiang_Ili": capital="伊犁哈萨克自治州"; break;
case "Yunnan_Baoshan": capital="保山"; break;
case "Yunnan_Chuxiong": capital="楚雄彝族自治州"; break;
case "Yunnan_Dali": capital="大理白族自治州"; break;
case "Yunnan_Dehong": capital="德宏傣族景颇族自治州"; break;
case "Yunnan_Diqing": capital="迪庆藏族自治州"; break;
case "Yunnan_Honghe": capital="红河哈尼族彝族自治州"; break;
case "Yunnan_Kunming": capital="昆明"; break;
case "Yunnan_Lijiang": capital="丽江"; break;
case "Yunnan_Lincang": capital="临沧"; break;
case "Yunnan_Nujiang": capital="怒江傈傈族自治州"; break;
case "Yunnan_Qujing": capital="曲靖"; break;
case "Yunnan_Simao": capital="思茅"; break;
case "Yunnan_Wenshan": capital="文山壮族苗族自治州"; break;
case "Yunnan_Xishuangbanna": capital="西双版纳傣族自治州"; break;
case "Yunnan_Yuxi": capital="玉溪"; break;
case "Yunnan_Zhaotong": capital="昭通"; break;
case "Zhejiang_Hangzhou": capital="杭州"; break;
case "Zhejiang_Huzhou": capital="湖州"; break;
case "Zhejiang_Jiaxing": capital="嘉兴"; break;
case "Zhejiang_Jinhua": capital="金华"; break;
case "Zhejiang_Lishui": capital="丽水"; break;
case "Zhejiang_Ningbo": capital="宁波"; break;
case "Zhejiang_Shaoxing": capital="绍兴"; break;
case "Zhejiang_Taizhou": capital="台州"; break;
case "Zhejiang_Wenzhou": capital="温州"; break;
case "Zhejiang_Zhoushan": capital="舟山"; break;
case "Zhejiang_Quzhou": capital="衢州"; break;
case "Chongqing_Chongqing": capital="重庆"; break;

}
document.write(province+capital+"市");
}

//企业搜索地区选择代码
//<SCRIPT language=JavaScript>

function province(countryName,provinceId,provinceName)
{
	this.countryName = countryName;
	this.provinceId = provinceId;
	this.provinceName = provinceName;
	this.firstClassCityArr = new Array();
	this.addFirstClassCity = addFirstClassCity;
	this.getFirstClassCitis = getFirstClassCitis;
}

function addFirstClassCity(city)
{
	this.firstClassCityArr = this.firstClassCityArr.concat(city);
}

function getFirstClassCitis()
{
	var tmp = new Array();
	for(var i = 0;i < this.firstClassCityArr.length;i++)
	{
		var b = this.firstClassCityArr[i];
		tmp[i] = b;
	}
	return tmp;
}


function firstClassCity(provinceName,cityId,cityName,cityCode) 
{
	this.provinceName = provinceName;
	this.cityId = cityId;
	this.cityName = cityName;
	this.cityCode=cityCode;
	this.secendClassCityArr = new Array();
	this.addSecendClassCity = addSecendClassCity;
	this.getSecendClassCitis = getSecendClassCitis;
}

function addSecendClassCity(cityId,cityName) 
{
	this.secendClassCityArr = this.secendClassCityArr.concat(new Option(cityName,cityId));
}
	
	
function getSecendClassCitis() 
{
	var tmp = new Array();
	for(var i=0; i < this.secendClassCityArr.length;i++) 
	{
		var b = this.secendClassCityArr[i];
		tmp[i]= b;
	}
	return tmp;
}
						

var provincesListArr=new  Array();
var cityListArr=new Array();
var p1;
var city;

			p1=new province("CN","Beijing","北京市");

					city=new firstClassCity("北京市","Beijing_Beijing","北京市","010");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Tianjin","天津市");

					city=new firstClassCity("天津市","Tianjin_Tianjin","天津市","022");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Hebei","河北省");

					city=new firstClassCity("河北省","Hebei_Shijiazhuang","石家庄市","0311");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Baoding","保定市","0312");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Tangshan","唐山市","0315");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Cangzhou","沧州市","0317");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Qinhuangdao","秦皇岛市","0335");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Xingtai","邢台市","0319");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Handan","邯郸市","0310");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Zhangjiakou","张家口市","0313");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Chengde","承德市","0314");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Langfang","廊坊市","0316");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河北省","Hebei_Hengshui","衡水市","0318");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Shanxi","山西省");

					city=new firstClassCity("山西省","Shanxi_Taiyuan","太原市","0351");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Datong","大同市","0352");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Yangquan","阳泉市","0353");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Changzhi","长治市","0355");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Jincheng","晋城市","0356");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Shuozhou","朔州市","0349");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Jinzhong","晋中市","0354");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Yuncheng","运城市","0359");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Xinzhou","忻州市　","0350");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Linfen","临汾市","0357");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山西省","Shanxi_Lvliang","吕梁市","0358");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","InnerMongolia","内蒙古自治区");

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Hohhot","呼和浩特市","0471");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Baotou","包头市","0472");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Wuhai","乌海市","0473");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Chifeng","赤峰市","0476");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Tongliao","通辽市","0475");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Erdos","鄂尔多斯市","0477");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_HulunBuir","呼伦贝尔市","0470");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Baynnur","巴彦淖尔市","0478");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_UlaanChab","乌兰察布市","0474");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Xilingol","锡林郭勒盟","0479");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Xingan","兴安盟","0482");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("内蒙古自治区","InnerMongolia_Alxa","阿拉善盟","0483");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Liaoning","辽宁省");

					city=new firstClassCity("辽宁省","Liaoning_Shenyang","沈阳市","024");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Dalian","大连市","0411");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Anshan","鞍山市","0412");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Fushun","抚顺市","0413");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Benxi","本溪市","0414");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Dandong","丹东市","0415");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Jinzhou","锦州市","0416");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Yingkou","营口市","0417");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Fuxin","阜新市","0418");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Liaoyang","辽阳市","0419");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Panjin","盘锦市","0427");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Tieling","铁岭市","0410");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Chaoyang","朝阳市","0421");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("辽宁省","Liaoning_Huludao","葫芦岛市","0429");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Jilin","吉林省");

					city=new firstClassCity("吉林省","Jilin_Changchun","长春市","0431");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Jilin","吉林市","0432");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Siping","四平市","0434");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Liaoyuan","辽源市","0437");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Tonghua","通化市","0435");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Baishan","白山市","0439");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Songyuan","松原市","0438");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Baicheng","白城市","0436");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("吉林省","Jilin_Yanbian","延边朝鲜族自治州","0433");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Heilongjiang","黑龙江省");

					city=new firstClassCity("黑龙江省","Heilongjiang_Harbin","哈尔滨市","0451");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Qiqihar","齐齐哈尔市","0452");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Hegang","鹤岗市","0468");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Shuangyashan","双鸭山市","0469");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Jixi","鸡西市","0467");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Daqing","大庆市","0459");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Yichun","伊春市","0458");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Mudanjiang","牡丹江市","0453");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Jiamusi","佳木斯市","0454");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Qitaihe","七台河市","0464");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Heihe","黑河市","0456");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Suihua","绥化市","0455");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("黑龙江省","Heilongjiang_Daxinganling","大兴安岭地区","0457");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Shanghai","上海市");

					city=new firstClassCity("上海市","Shanghai_Shanghai","上海市","021");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Jiangsu","江苏省");

					city=new firstClassCity("江苏省","Jiangsu_Nanjing","南京市","025");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Wuxi","无锡市","0510");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Xuzhou","徐州市","0516");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Suzhou","苏州市","0512");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Changzhou","常州市","0519");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Yangzhou","扬州市","0514");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Taizhou","泰州市","0523");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Zhenjiang","镇江市","0511");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Lianyungang","连云港市","0518");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Huaian","淮安市","0517");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Yancheng","盐城市","0515");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Suqian","宿迁市","0527");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江苏省","Jiangsu_Nantong","南通市","0513");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Zhejiang","浙江省");

					city=new firstClassCity("浙江省","Zhejiang_Hangzhou","杭州市","0571");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Ningbo","宁波市","0574");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Wenzhou","温州市","0577");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Jiaxing","嘉兴市","0573");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Shaoxing","绍兴市","0575");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Huzhou","湖州市","0572");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Jinhua","金华市","0579");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Quzhou","衢州市","0570");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Taizhou","台州市","0576");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Zhoushan","舟山市","0580");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("浙江省","Zhejiang_Lishui","丽水市","0578");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Anhui","安徽省");

					city=new firstClassCity("安徽省","Anhui_Hefei","合肥市","0551");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Wuhu","芜湖市","0553");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Bengbu","蚌埠市","0552");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Huainan","淮南市","0554");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Maanshan","马鞍山市","0555");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Huaibei","淮北市","0561");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Tongling","铜陵市","0562");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Anqing","安庆市","0556");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Huangshan","黄山市","0559");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Chuzhou","滁州市","0550");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Fuyang","阜阳市","0558");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Suzhou","宿州市","0557");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Chaohu","巢湖市","0565");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Liuan","六安市","0564");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Bozhou","亳州市","0558");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Chizhou","池州市","0566");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("安徽省","Anhui_Xuancheng","宣城市","0563");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Fujian","福建省");

					city=new firstClassCity("福建省","Fujian_Fuzhou","福州市","0591");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Xiamen","厦门市","0592");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Putian","莆田市","0594");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Sanming","三明市","0598");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Quanzhou","泉州市","0595");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Zhangzhou","漳州市","0596");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Nanping","南平市","0599");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Longyan","龙岩市","0597");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("福建省","Fujian_Ningde","宁德市","0593");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Jiangxi","江西省");

					city=new firstClassCity("江西省","Jiangxi_Nanchang","南昌市","0791");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Jingdezhen","景德镇市","0798");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Pingxiang","萍乡市","0799");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Jiujiang","九江市","0792");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Xinyu","新余市","0790");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Yingtan","鹰潭市","0701");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Ganzhou","赣州市","0797");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Jian","吉安市","0796");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Yichun","宜春市","0795");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Fuzhou","抚州市","0794");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("江西省","Jiangxi_Shangrao","上饶市","0793");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Shandong","山东省");

					city=new firstClassCity("山东省","Shandong_Jinan","济南市","0531");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Qingdao","青岛市","0532");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Dezhou","德州市","0534");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Zibo","淄博市","0533");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Weifang","潍坊市","0536");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Yantai","烟台市","0535");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Weihai","威海市","0631");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Jining","济宁市","0537");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Zaozhuang","枣庄市","0632");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Dongying","东营市","0546");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Taian","泰安市","0538");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Rizhao","日照市","0633");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Laiwu","莱芜市","0634");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Linyi","临沂市","0539");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Liaocheng","聊城市","0635");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Binzhou","滨州市","0543");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("山东省","Shandong_Heze","菏泽市","0530");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Henan","河南省");

					city=new firstClassCity("河南省","Henan_Zhengzhou","郑州市","0371");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Kaifeng","开封市","0378");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Luoyang","洛阳市","0379");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Pingdingshan","平顶山市","0375");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Anyang","安阳市","0372");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Hebi","鹤壁市","0392");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Xinxiang","新乡市","0373");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Jiaozuo","焦作市","0391");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Puyang","濮阳市","0393");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Xuchang","许昌市","0374");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Luohe","漯河市","0395");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Sanmenxia","三门峡市","0398");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Nanyang","南阳市","0377");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Shangqiu","商丘市","0370");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Xinyang","信阳市","0376");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Zhoukou","周口市","0394");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Zhumadian","驻马店市","0396");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("河南省","Henan_Jiyuan","济源市","0391");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Hubei","湖北省");

					city=new firstClassCity("湖北省","Hubei_Wuhan","武汉市","027");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Huangshi","黄石市","0714");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Shiyan","十堰市","0719");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Jingzhou","荆州市","0716");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Yichang","宜昌市","0717");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Xiangfan","襄樊市","0710");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Ezhou","鄂州市","0711");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Jingmen","荆门市","0727");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Xiaogan","孝感市","0712");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Huanggang","黄冈市","0713");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Suizhou","随州市","0722");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Xianning","咸宁市","0715");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Enshi","恩施土家族苗族自治州","0718");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Xiantao","仙桃市","0728");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Tianmen","天门市","0728");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Qianjiang","潜江市","0728");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖北省","Hubei_Shennongjia","神农架林区","0719");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Hunan","湖南省");

					city=new firstClassCity("湖南省","Hunan_Changsha","长沙市","0731");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Zhuzhou","株洲市","0733");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Xiangtan","湘潭市","0732");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Hengyang","衡阳市","0734");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Shaoyang","邵阳市","0739");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Yueyang","岳阳市","0730");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Changde","常德市","0736");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Zhangjiajie","张家界市","0744");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Yiyang","益阳市","0737");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Chenzhou","郴州市","0735");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Yongzhou","永州市","0746");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Huaihua","怀化市","0745");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Loudi","娄底市","0738");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("湖南省","Hunan_Xiangxi","湘西土家族苗族自治州","0743");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Guangdong","广东省");

					city=new firstClassCity("广东省","Guangdong_Guangzhou","广州市","020");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Shenzhen","深圳市","0755");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Zhuhai","珠海市","0756");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Shantou","汕头市","0754");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Shaoguan","韶关市","0751");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Foshan","佛山市","0757");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Zhanjiang","湛江市","0759");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Maoming","茂名市","0668");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Jiangmen","江门市","0750");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Zhaoqing","肇庆市","0758");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Huizhou","惠州市","0752");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Meizhou","梅州市","0753");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Shanwei","汕尾市","0660");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Heyuan","河源市","0762");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Yangjiang","阳江市","0662");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);


					city=new firstClassCity("广东省","Guangdong_Qingyuan","清远市","0763");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Dongguan","东莞市","0769");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Zhongshan","中山市","0760");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Chaozhou","潮州市","0768");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Jieyang","揭阳市","0663");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广东省","Guangdong_Yunfu","云浮市","0766");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Guangxi","广西壮族自治区");

					city=new firstClassCity("广西壮族自治区","Guangxi_Nanning","南宁市","0771");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Liuzhou","柳州市","0772");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Guilin","桂林市","0773");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Wuzhou","梧州市","0774");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Beihai","北海市","0779");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Fangchenggang","防城港市","0770");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Qinzhou","钦州市","0777");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Guigang","贵港市","0775");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Yulin","玉林市","0775");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Baise","百色市","0776");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Hezhou","贺州市","0774");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Hechi","河池市","0778");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Laibin","来宾市","0772");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("广西壮族自治区","Guangxi_Chongzuo","崇左市","0771");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Hainan","海南省");

					city=new firstClassCity("海南省","Hainan_Haikou","海口市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Sanya","三亚市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Wuzhishan","五指山市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Qionghai","琼海市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Danzhou","儋州市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Wenchang","文昌市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Wanning","万宁市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Dongfang","东方市","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Chengmai","澄迈县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Dingan","定安县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Tunchang","屯昌县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Lingao","临高县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Baisha","白沙黎族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Changjiang","昌江黎族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Ledong","乐东黎族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Lingshui","陵水黎族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Baoting","保亭黎族苗族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("海南省","Hainan_Qiongzhong","琼中黎族苗族自治县","0898");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Chongqing","重庆市");

					city=new firstClassCity("重庆市","Chongqing_Chongqing","重庆市","023");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Sichuan","四川省");

					city=new firstClassCity("四川省","Sichuan_Chengdu","成都市","028");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Zigong","自贡市","0813");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Panzhihua","攀枝花市","0812");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Luzhou","泸州市","0830");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Deyang","德阳市","0838");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Mianyang","绵阳市","0816");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Guangyuan","广元市","0839");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Suining","遂宁市","0825");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Neijiang","内江市","0832");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Leshan","乐山市","0833");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Nanchong","南充市","0817");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Meishan","眉山市","0833");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Yibin","宜宾市","0831");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Guangan","广安市","0826");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Dazhou","达州市","0818");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Yaan","雅安市","0835");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Bazhong","巴中市","0827");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Ziyang","资阳市","0832");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Aba","阿坝藏族羌族自治州","0837");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Ganzi","甘孜藏族自治州","0836");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("四川省","Sichuan_Liangshan","凉山彝族自治州","0834");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Guizhou","贵州省");

					city=new firstClassCity("贵州省","Guizhou_Guiyang","贵阳市","0851");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Liupanshui","六盘水市","0858");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Zunyi","遵义市","0852");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Anshun","安顺市","0853");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Tongren","铜仁地区","0856");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Bijie","毕节地区","0857");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Qianxinan","黔西南布依族苗族自治州","0859");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Qiandongnan","黔东南苗族侗族自治州","0855");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("贵州省","Guizhou_Qiannan","黔南布依族苗族自治州","0854");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Yunnan","云南省");

					city=new firstClassCity("云南省","Yunnan_Kunming","昆明市","0871");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Qujing","曲靖市","0874");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Yuxi","玉溪市","0877");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Baoshan","保山市","0875");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Zhaotong","昭通市","0870");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Lijiang","丽江市","0888");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Simao","思茅市","0879");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Lincang","临沧市","0883");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Wenshan","文山壮族苗族自治州","0876");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Honghe","红河哈尼族彝族自治州","0873");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Xishuangbanna","西双版纳傣族自治州","0691");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Chuxiong","楚雄彝族自治州","0878");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Dali","大理白族自治州","0872");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Dehong","德宏傣族景颇族自治州","0692");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Nujiang","怒江傈僳族自治州","0886");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("云南省","Yunnan_Diqing","迪庆藏族自治州","0887");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Tibet","西藏自治区");

					city=new firstClassCity("西藏自治区","Tibet_Lhasa","拉萨市","0891");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Nagqu","那曲地区","0896");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Chamdo","昌都地区","0895");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Shannan","山南地区","0893");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Xigaze","日喀则地区","0892");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Ngari","阿里地区","08073");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("西藏自治区","Tibet_Nyingchi","林芝地区","0894");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Shaanxi","陕西省");

					city=new firstClassCity("陕西省","Shaanxi_Xian","西安市","029");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Tongchuan","铜川市","0919");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Baoji","宝鸡市","0917");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Xianyang","咸阳市","0910");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Weinan","渭南市","0913");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Yanan","延安市","0911");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Hanzhong","汉中市","0916");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Yulin","榆林市","0912");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Ankang","安康市","0915");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("陕西省","Shaanxi_Shangluo","商洛市","0914");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Gansu","甘肃省");

					city=new firstClassCity("甘肃省","Gansu_Lanzhou","兰州市","0931");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Jinchang","金昌市","0935");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Baiyin","白银市","0943");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Tianshui","天水市","0938");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Jiayuguan","嘉峪关市","0937");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Wuwei","武威市","0935");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Zhangye","张掖市","0936");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Pingliang","平凉市","0933");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Jiuquan","酒泉市","0937");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Qingyang","庆阳市","0934");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Dingxi","定西市","0932");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Longnan","陇南市","0939");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Linxia","临夏回族自治州","0930");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("甘肃省","Gansu_Gannan","甘南藏族自治州","0941");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Qinghai","青海省");

					city=new firstClassCity("青海省","Qinghai_Xining","西宁市","0971");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Haidong","海东地区","0972");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Haibei","海北藏族自治州","0970");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Huangnan","黄南藏族自治州","0973");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Hainan","海南藏族自治州","0974");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Golog","果洛藏族自治州","0975");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Yushu","玉树藏族自治州","0976");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("青海省","Qinghai_Haixi","海西蒙古族藏族自治州","0977");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Ningxia","宁夏回族自治区");

					city=new firstClassCity("宁夏回族自治区","Ningxia_Yinchuan","银川市","0951");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("宁夏回族自治区","Ningxia_Shizuishan","石嘴山市","0952");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("宁夏回族自治区","Ningxia_Wuzhong","吴忠市","0953");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("宁夏回族自治区","Ningxia_Guyuan","固原市","0954");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("宁夏回族自治区","Ningxia_Zhongwei","中卫市","0955");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Xinjiang","新疆维吾尔自治区");

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Urumqi","乌鲁木齐市","0991");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Karamay","克拉玛依市","0990");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Turpan","吐鲁番地区","0995");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Hami","哈密地区","0902");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Hetian","和田地区","0903");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Aksu","阿克苏地区","0997");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Kashgar","喀什地区","0998");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_KizilsuKirgiz","克孜勒苏柯尔克孜自治州","0908");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Bayingolin","巴音郭楞蒙古自治州","0996");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Changji","昌吉回族自治州","0994");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Bortala","博尔塔拉蒙古自治州","0909");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Ili","伊犁哈萨克自治州","0999");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Tacheng","塔城地区","0901");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Altay","阿勒泰地区","0906");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Shihezi","石河子市","0993");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Alar","阿拉尔市","0997");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Tumushuke","图木舒克市","0998");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("新疆维吾尔自治区","Xinjiang_Wujiaqu","五家渠市","0994");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Hongkong","香港特别行政区");

					city=new firstClassCity("香港特别行政区","Hongkong_HongKong","香港特别行政区","852");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Macao","澳门特别行政区");

					city=new firstClassCity("澳门特别行政区","Macao_Macao","澳门特别行政区","853");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);

			p1=new province("CN","Taiwan","台湾省");

					city=new firstClassCity("台湾省","Taiwan_Taipeishi","台北市","02");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Kaohsiungshi","高雄市","07");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Keelung","基隆市","02");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Taichungshi","台中市","04");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Tainanshi","台南市","06");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Hsinchushi","新竹市","03");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Chiayishi","嘉义市","05");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Taipeixian","台北县","02");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Yilan","宜兰县","03");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Hsinchuxian","新竹县","03");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Taoyuan","桃园县","03");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Miaoli","苗栗县","037");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Taichungxian","台中县","04");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Changhua","彰化县","04");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Nantou","南投县","049");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Chiayixian","嘉义县","05");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Yunlin","云林县","05");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Tainanxian","台南县","06");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Kaohsiungxian","高雄县","07");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Pingtung","屏东县","08");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Taitung","台东县","089");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Hualien","花莲县","03");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

					city=new firstClassCity("台湾省","Taiwan_Kinmen","澎湖县","06");
					cityListArr=cityListArr.concat(city);
					p1.addFirstClassCity(city);

		provincesListArr = provincesListArr.concat(p1);


			
var selectedProvinceName;
var selectedCityName;
var selectProvinceId;
			
function changeProvince(province_p,flag)
{
    var city_p=document.getElementById('chinacomcity');
	var index = province_p.selectedIndex;
	var len2=city_p.options.length;
	for(var i = len2-1;i>0;i--)
	{
		city_p.options[i] = null;
	}
	if(index<=0)
	{
		selectedProvinceName="";
		selectedCityName="";
		city_p.options[0].selected=true;
	}
	else
	{
		var province = province_p.options[index].value;
		selectProvinceId = province;
		var len=provincesListArr.length;
		var provinceTemp;
		for(var i=0;i<len;i++)
		{
			provinceTemp=provincesListArr[i];
			if(selectProvinceId==provinceTemp.provinceId)
			{
				var len1=city_p.options.length;
				for(var i = len1-1;i>0;i--)
				{
					city_p.options[i] = null;
				}
				var firstClassCitis = provinceTemp.getFirstClassCitis();
				for(var i=0;i<firstClassCitis.length;i++)
				{
					city_p.options[i+1] = new Option(firstClassCitis[i].cityName,firstClassCitis[i].cityId);
				}
				break;
			}
		}
		city_p.options[1].selected=true;
		selectedProvinceName = province_p.options[index].text;
	}
	if(flag)
	{
		changeAreaCodeByCity(city_p);
	}
}
			
			
			
function changeAreaCodeByCity(city_p)
{
    //var telcountrycode_p=document.getElementById("telcountrycode");
    //var faxcountrycode_p=document.getElementById("faxcountrycode");
    var province_p=document.getElementById("chinacomprovince");
    //var tel_p=document.getElementById("telareacode");
	//var fax_p=document.getElementById("faxareacode");
	///var areacodetd=document.getElementById("areacodetd");
	//var areacodetd1=document.getElementById("areacodetd1");
	//var areacodetd2=document.getElementById("areacodetd2");
	var index=city_p.selectedIndex;
	var value=city_p.options[index].value;
	var len=cityListArr.length;
	if(index<=0)
	{
		//tel_p.value="";
		//fax_p.value="";
	}
	else
	{
	    if((province_p.value=="Hongkong")||(province_p.value=="Macao"))
	    {
	     	
	    	//areacodetd.style.display="none";
	    	//areacodetd1.style.display="none";
	    	//areacodetd2.style.display="none";
	       // tel_p.style.display="none";
	       // fax_p.style.display="none";
	        for(var i=0;i<len;i++)
			{
				var cityTemp=cityListArr[i];
				if(value==cityTemp.cityId)
				{
					var code=cityTemp.cityCode;
					if(code.indexOf("0")==0)
					{
						code=code.substring(1,code.length);
					}
				//telcountrycode_p.value=code;
				//faxcountrycode_p.value=code;
				break;
				}
			}
	    }
	    else
	    {
	       // areacodetd.style.display="";
	       // areacodetd1.style.display="";
	        //areacodetd2.style.display="";
	       // tel_p.style.display="";
	      //  fax_p.style.display="";
	        if(province_p.value=="Taiwan")
	        {
	        	//telcountrycode_p.value="886";
	        	//faxcountrycode_p.value="886";
	        }
	        else
	        {
	        	//telcountrycode_p.value="86";
	        	//faxcountrycode_p.value="86";
	        }
	        for(var i=0;i<len;i++)
			{
				var cityTemp=cityListArr[i];
				if(value==cityTemp.cityId)
				{
					var code=cityTemp.cityCode;
					if(code.indexOf("0")==0)
					{
						code=code.substring(1,code.length);
					}
				//tel_p.value=code;
				//fax_p.value=code;
				break;
				}
			}
	    }
		
	}
}

try
{
	var china_province_p=document.getElementById("chinacomprovince");
	if(china_province_p!=null)
	{
		changeProvince(china_province_p,false);
		var china_city_p=document.getElementById("chinacomcity");
		china_city_p.value="<%=capital%>";
		if(china_city_p.selectedIndex<1)
		{
			china_city_p.options[0].selected=true;
		}
		if((china_province_p.value=="Hongkong")||(china_province_p.value=="Macao"))
	    {
	    	//document.getElementById("telareacode").style.display="none";
			//document.getElementById("faxareacode").style.display="none";
			//document.getElementById("areacodetd").style.display="none";
			//document.getElementById("areacodetd1").style.display="none";
			//document.getElementById("areacodetd2").style.display="none";
	    }
	}
}
catch(e)
{
}

//</SCRIPT>
